"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = [
    //===== ETH / ERC-20 =====//
    'function registerUser(address ethKey, uint256 starkKey, bytes calldata signature) external',
    'function deposit(uint256 starkKey, uint256 assetType, uint256 vaultId) external payable',
    'function deposit(uint256 starkKey, uint256 assetType, uint256 vaultId, uint256 quantizedAmount) public',
    'function depositCancel(uint256 starkKey, uint256 assetId, uint256 vaultId) external',
    'function depositReclaim(uint256 starkKey, uint256 assetType, uint256 vaultId) external',
    'function withdraw(uint256 starkKey, uint256 assetType) external',
    'function fullWithdrawalRequest(uint256 starkKey, uint256 vaultId) external',
    'function freezeRequest(uint256 starkKey, uint256 vaultId) external',
    'function verifyEscape(uint256[] calldata escapeProof) external',
    'function escape(uint256 starkKey, uint256 vaultId, uint256 assetId, uint256 quantizedAmount) external',
    // View
    'function getEthKey(uint256 starkKey) public view returns (address ethKey)',
    'function getQuantizedDepositBalance(uint256 starkKey, uint256 assetId, uint256 vaultId) external view returns (uint256 balance)',
    'function getWithdrawalBalance(uint256 starkKey, uint256 assetId) external view returns (uint256 balance)',
    // Events
    'event LogDeposit(address depositorEthKey, uint256 starkKey, uint256 vaultId, uint256 assetType, uint256 nonQuantizedAmount, uint256 quantizedAmount)',
    'event LogDepositCancel(uint256 starkKey, uint256 vaultId, uint256 assetId)',
    'event LogDepositCancelReclaimed(uint256 starkKey, uint256 vaultId, uint256 assetType, uint256 nonQuantizedAmount, uint256 quantizedAmount)',
    'event LogWithdrawalAllowed(uint256 starkKey, uint256 assetType, uint256 nonQuantizedAmount, uint256 quantizedAmount)',
    'event LogWithdrawalPerformed(uint256 starkKey, uint256 assetType, uint256 nonQuantizedAmount, uint256 quantizedAmount, address recipient)',
    'event LogRootUpdate(uint256 sequenceNumber, uint256 batchId, uint256 vaultRoot, uint256 orderRoot)',
    //===== NFT (ERC-721) =====//
    'function depositNft(uint256 starkKey, uint256 assetType, uint256 vaultId, uint256 tokenId) external',
    'function withdrawNft(uint256 starkKey, uint256 assetType, uint256 tokenId) external',
];
//# sourceMappingURL=abi.js.map